Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.functions
Class Type2Function

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<TDataObject>
          org.pdfclown.documents.functions.Function<PdfDictionary>
              org.pdfclown.documents.functions.Type2Function

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF13)
    public final class Type2Function

extends Function<PdfDictionary>

Exponential interpolation of one input value and `n` output values [PDF:1.6:3.9.2].

Each input value `x` will return `n` values, given by `y[j] = C0[j] + x^N × (C1[j] − C0[j])`, for `0 ≤ j < n`, where `C0` and `C1` are the `function results` when, respectively, `x = 0` and `x = 1`, and `N` is the `interpolation exponent`.

Since:
  0.1.0
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.functions.Function
`Function.IDefaultIntervalsCallback<T extends Comparable<T>>`

Method Summary
`double[]` | `calculate(double[] inputs)` Gets the result of the calculation applied by this function to the specified input values.
`Type2Function` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<double[]>` | `getBoundOutputValues()` Gets the output value pairs `(C0,C1)` for lower (`0.0`) and higher (`1.0`) input values.
`double` | `getExponent()` Gets the interpolation exponent.

Methods inherited from class org.pdfclown.documents.functions.Function
`calculate, getDictionary, getDomains, getInputCount, getIntervals, getOutputCount, getRanges, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### calculate

    public double[] calculate(double[] inputs)

  Description copied from class: `Function`
  Gets the result of the calculation applied by this function to the specified input values.

  Specified by:
    `calculate` in class `Function<PdfDictionary>`
  Parameters:
    `inputs` - Input values.

### clone

    public Type2Function clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getBoundOutputValues

    public List<double[]> getBoundOutputValues()

  Gets the output value pairs `(C0,C1)` for lower (`0.0`) and higher (`1.0`) input values.

### getExponent

    public double getExponent()

  Gets the interpolation exponent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.